Subject: Re: bug#36634: Virtual Machine Manager (virt-manager)

From: Chris Marusich <[email-masked]>
Date: Thu, 07 Nov 2019 00:44:19 -0800

Hi Miguel,

Miguel Arruga Vivas <[email-masked]> writes:

> Hello again,
>
> The two patches attached create the cgroup directory needed and remove
> the warning for the ip binary missing.  Still the following errors
> are emitted to the log. 
>
> --------------------8<-------------------
> error : virConnectGetCPUModelNames:1109 : this function is not supported by the connection driver: virConnectGetCPUModelNames
> error : virConnectGetAllDomainStats:11705 : this function is not supported by the connection driver: virConnectGetAllDomainStats
> error : virCgroupSetValueRaw:473 : Unable to write to '/sys/fs/cgroup/unified/machine/qemu-1-Guix.libvirt-qemu/tasks': No such file or directory
> error : virCgroupRemoveRecursively:2383 : Unable to remove /sys/fs/cgroup/unified/machine/qemu-1-Guix.libvirt-qemu/ (16) 
> -------------------->8-------------------
>
> The last two may indicate there may be lurking another bug in the
> cgroups configuration, but at least the machines can be created and
> started/stopped seamlessly.  What do you think?

With the patch you submitted upstream (not the patches you attached to
your previous email here), I can confirm the issue is fixed for me, and
that I do NOT observe the errors you mentioned above.

I see the patch was incorporated into Guix master in commit
aa1f0896fb15a0bdcc5474839c8afdbb2520d603.  That is good, and I think
this issue can be resolved.  If nobody follows up in a few days' time,
let's close the bug report.

Regarding your other patch in this thread to find the "ip" program at
run-time, could you open a new bug report or patch (via
[email-masked]) for that?  It seems unrelated to the issue at
hand.

Thank you for your help,

-- 
Chris